Subject: Re: debugging dlls?
From: [email-masked] (Christopher Faylor)

20 Mar 1998 05:41:19 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
To: [email-masked]

In article <[email-masked]>,
Tim Newsham <[email-masked]> wrote:
>Hi,
>
>   Is it possible to use gdb (or another debugger) to do source-level
>debugging of dlls?  In particular the cygwinb19.dll.  If anyone has
>any tips (other than using debugging print statements) for debugging
>dlls and the cygwin dll in particular, I would be interested in hearing
>them.

Usually, I just break on main if the executable I'm debugging is built
with debugging.  Otherwise I do a 'file whatever/cygwinb19.dll' and set
a breakpoint using the appropriate symbols.
-- 
http://www.bbc.com/	[email-masked]			"Strange how unreal
VMS=>UNIX Solutions	Boston Business Computing	 the real can be."
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".